org.aspectj.lang.reflect

## Interface Pointcut

    public interface Pointcut

AspectJ runtime representation of a pointcut member inside a class or aspect.

### Method Summary

Methods
`AjType` `getDeclaringType()` The type that declared this pointcut
`int` `getModifiers()` The modifiers associated with the pointcut declaration.
`java.lang.String` `getName()` The declared name of the pointcut.
`java.lang.String[]` `getParameterNames()` The pointcut parameter names.
`AjType<?>[]` `getParameterTypes()` The pointcut parameter types.
`PointcutExpression` `getPointcutExpression()` The pointcut expression associated with this pointcut.

### Method Detail

#### getName

    java.lang.String getName()

The declared name of the pointcut.

#### getModifiers

    int getModifiers()

The modifiers associated with the pointcut declaration. Use java.lang.reflect.Modifier to interpret the return value

#### getParameterTypes

    AjType<?>[] getParameterTypes()

The pointcut parameter types.

#### getParameterNames

    java.lang.String[] getParameterNames()

The pointcut parameter names. Returns an array of empty strings of length getParameterTypes().length if parameter names are not available at runtime.

#### getDeclaringType

    AjType getDeclaringType()

The type that declared this pointcut

#### getPointcutExpression

    PointcutExpression getPointcutExpression()

The pointcut expression associated with this pointcut.